LINUX.ORG.RU

qtwebengine

 , ,


0

1

Qt WebEngine на оффтопик есть только для msvc2013, значит под Linux Qt WebEngine нет вообще? Зачем вообще нужны установщики с mingw и Qt WebEngine, если «MinGW is not supported.»

P.S. когда-то накалякал прогу на этом вебэнжайне, не помню на какой версии, то ли на 5.3.2, то ли на 5.4. Сейчас поставил 5.4 на оффтопик, пишет ":-1: ошибка: Unknown module(s) in QT: webenginewidgets", что с mingw, что с msvc2013. Хотя я точно помню, что собирал эту прогу под виндой с mingw и заюзанным Qt WebEngine, исходники не трогал. Вот сейчас попробовал собрать, ругается, нет модуля и все тут.


Qt WebEngine на оффтопик есть только для msvc2013, значит под Linux Qt WebEngine нет вообще?

Нет, не значит. Есть.

Зачем вообще нужны установщики с mingw и Qt WebEngine

А есть такие? Странно, QWebEngine базируется на кодовой базе chromium, который на винде собирается только студией. См. https://bugreports.qt.io/browse/QTBUG-42725

Вот сейчас попробовал собрать, ругается, нет модуля и все тут.

А он есть?

fluorite ★★★★★ ()
Ответ на: комментарий от fluorite

Так его собирать надо. А как я тогда в прошлый раз компилил прогу без компиляции всяких модулей?

puding ()

значит под Linux Qt WebEngine нет вообще

Такого точно не может быть, из принципа. Чтоб такой платформо-неспецифичный модуль был лишь для одной какой-то ОС...

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от fluorite

Ты забыл QtDBus, а еще классы для Android и т.д. ;) Специально написал «платформо-неспецифичный»...

I-Love-Microsoft ★★★★★ ()

Какая целевая архитектура? вынь32? вынь64? Где-то ходил слух, что поддерживается только x64.

asaw ★★★★★ ()
Ответ на: комментарий от asaw

Сейчас 32, а была 64, может, действительно, из-за этого.

puding ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.